---
title: Change Cache Reserve setting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Cache](https://developers.cloudflare.com/api/python/resources/cache)

[Cache Reserve](https://developers.cloudflare.com/api/python/resources/cache/subresources/cache_reserve)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Change Cache Reserve setting

cache.cache\_reserve.edit(CacheReserveEditParams\*\*kwargs) -> [CacheReserveEditResponse](<https://developers.cloudflare.com/api/python/resources/cache#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)>)

PATCH/zones/{zone\_id}/cache/cache\_reserve

Increase cache lifetimes by automatically storing all cacheable files into Cloudflare’s persistent object storage buckets. Requires Cache Reserve subscription. Note: using Tiered Cache with Cache Reserve is highly recommended to reduce Reserve operations costs. See the [developer docs](https://developers.cloudflare.com/cache/about/cache-reserve) for more information.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write``Zone Write`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20cache.cache_reserve%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

<details>

<summary>

value: Literal\["on", "off"]

Value of the Cache Reserve zone setting.

</summary>

One of the following:

"on"

<a href="#(resource)%20cache.cache_reserve%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"off"

<a href="#(resource)%20cache.cache_reserve%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.cache_reserve%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class CacheReserveEditResponse: …

</summary>

id: <a href="https://developers.cloudflare.com/api/python/resources/cache#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve%20%3E%20(schema)">CacheReserve</a>

The identifier of the caching setting.

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

editable: bool

Whether the setting is editable.

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)%20%3E%20(property)%20editable">Link to this property</a>

<details>

<summary>

value: Literal\["on", "off"]

Value of the Cache Reserve zone setting.

</summary>

One of the following:

"on"

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%200">Link to this property</a>

"off"

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

modified\_on: Optional\[datetime]

Last time this setting was modified.

formatdate-time

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_edit_response%20%3E%20(schema)>)

### Change Cache Reserve setting

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.cache.cache_reserve.edit(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    value="on",
)
print(response.id)
```

200 example

4XX example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "cache_reserve",
    "value": "on"
  },
  "success": true
}
```

```
{
  "errors": [
    {
      "code": 1153,
      "message": "Cache Reserve cannot be enabled because a deletion is already in progress."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
```

##### Returns Examples

200 example

4XX example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "cache_reserve",
    "value": "on"
  },
  "success": true
}
```

```
{
  "errors": [
    {
      "code": 1153,
      "message": "Cache Reserve cannot be enabled because a deletion is already in progress."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
```